transformio.hh File Reference
`#include <mia/core/iohandler.hh>`
`#include <mia/core/ioplugin.hh>`
`#include <mia/2d/transform.hh>`
Include dependency graph for 2d/transformio.hh:

Go to the source code of this file.

## Data Structures

class | C2DTransformIOPluginHandlerImpl
| The non-singleton plug-in handler for 3D transformations. More...

## Typedefs

typedef C2DTransformationIOPluginHandler::Instance::DataKey | C2DTransformationDataKey
| The data key type for the CDatapool storage.
typedef TIOPlugin< C2DTransformation > | C2DTransformationIO
| The base class for 2D transformation IO plugins.
typedef THandlerSingleton< C2DTransformIOPluginHandlerImpl > | C2DTransformationIOPluginHandler
| The 2D transformationb plugin handler.

## Functions

P2DTransformation | load_2dtransform (const std::string &file)
| convenienance function to load a transformation
template<>
P2DTransformation | load_transform< P2DTransformation > (const std::string &file)
| specialized version to load a transformation
bool | save_transform (const std::string &file, const C2DTransformation &transform)
| convenienance function to save a transformation

## Variables

template class EXPORT_2D | TIOPlugin< C2DTransformation >
template class EXPORT_2D | TPlugin< C2DTransformation, io_plugin_type >

## Variable Documentation

## TIOPlugin< C2DTransformation >

template class EXPORT_2D TIOPlugin< C2DTransformation >

extern

## TPlugin< C2DTransformation, io_plugin_type >

template class EXPORT_2D TPlugin< C2DTransformation, io_plugin_type >

extern